package com.fs.his.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsDoctorOperLogMapper;
import com.fs.his.domain.FsDoctorOperLog;
import com.fs.his.service.IFsDoctorOperLogService;

/**
 * 医生操作日志记录Service业务层处理
 * 
 * @author fs
 * @date 2024-08-16
 */
@Service
public class FsDoctorOperLogServiceImpl implements IFsDoctorOperLogService 
{
    @Autowired
    private FsDoctorOperLogMapper fsDoctorOperLogMapper;

    /**
     * 查询医生操作日志记录
     * 
     * @param operId 医生操作日志记录主键
     * @return 医生操作日志记录
     */
    @Override
    public FsDoctorOperLog selectFsDoctorOperLogByOperId(Long operId)
    {
        return fsDoctorOperLogMapper.selectFsDoctorOperLogByOperId(operId);
    }

    /**
     * 查询医生操作日志记录列表
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 医生操作日志记录
     */
    @Override
    public List<FsDoctorOperLog> selectFsDoctorOperLogList(FsDoctorOperLog fsDoctorOperLog)
    {
        return fsDoctorOperLogMapper.selectFsDoctorOperLogList(fsDoctorOperLog);
    }

    /**
     * 新增医生操作日志记录
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 结果
     */
    @Override
    public int insertFsDoctorOperLog(FsDoctorOperLog fsDoctorOperLog)
    {
        return fsDoctorOperLogMapper.insertFsDoctorOperLog(fsDoctorOperLog);
    }

    /**
     * 修改医生操作日志记录
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 结果
     */
    @Override
    public int updateFsDoctorOperLog(FsDoctorOperLog fsDoctorOperLog)
    {
        return fsDoctorOperLogMapper.updateFsDoctorOperLog(fsDoctorOperLog);
    }

    /**
     * 批量删除医生操作日志记录
     * 
     * @param operIds 需要删除的医生操作日志记录主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorOperLogByOperIds(Long[] operIds)
    {
        return fsDoctorOperLogMapper.deleteFsDoctorOperLogByOperIds(operIds);
    }

    /**
     * 删除医生操作日志记录信息
     * 
     * @param operId 医生操作日志记录主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorOperLogByOperId(Long operId)
    {
        return fsDoctorOperLogMapper.deleteFsDoctorOperLogByOperId(operId);
    }
}
